(function ($) {

    $('.carousel .item').first().addClass('active');

    var trigger = $('[data-toggle="offcanvas"]'),
        overlay = $('.overlay'),
        isClosed = false;

    trigger.click(function () {
        hamburger_cross();
    });

    function hamburger_cross() {

        if (isClosed == true) {
            overlay.hide();
            trigger.removeClass('is-open');
            trigger.addClass('is-closed');
            isClosed = false;
        } else {
            overlay.show();
            trigger.removeClass('is-closed');
            trigger.addClass('is-open');
            isClosed = true;
        }
    }

    $('[data-toggle="offcanvas"]').click(function () {
        $('#wrapper').toggleClass('toggled');
        // $('html').toggleClass('movebody');
    });


//slider wow
    //Function to animate slider captions
    function doAnimations(elems) {
        //Cache the animationend event in a variable
        var animEndEv = 'webkitAnimationEnd animationend';

        elems.each(function () {
            var $this = $(this),
                $animationType = $this.data('animation');
            $this.addClass($animationType).one(animEndEv, function () {
                $this.removeClass($animationType);
            });
        });
    }

    //Variables on page load
    var $myCarousel = $('.carousel'),
        $firstAnimatingElems = $myCarousel.find('.item:first').find("[data-animation ^= 'animated']");

    //Initialize carousel
    $myCarousel.carousel();

    //Animate captions in first slide on page load
    doAnimations($firstAnimatingElems);

    //Pause carousel
    //$myCarousel.carousel('pause');


    //Other slides to be animated on carousel slide event
    $myCarousel.on('slide.bs.carousel', function (e) {
        var $animatingElems = $(e.relatedTarget).find("[data-animation ^= 'animated']");
        doAnimations($animatingElems);
    });

// wow animations
    new WOW().init();
// sticky nav
    var mn = $(".menu-logo");
    mns = "main-nav-scrolled animated fadeInDown";
    var mq = window.matchMedia("(max-width: 768px)");
    if (mq.matches) {
        $(window).scroll(function () {
            if ($(this).scrollTop() > 230) {
                mn.addClass(mns);
            } else {
                mn.removeClass(mns);
            }
        });
    } else {
        $(window).scroll(function () {
            if ($(this).scrollTop() > 100) {
                mn.addClass(mns);
            } else {
                mn.removeClass(mns);
            }
        });

    }
    /*************************************************/
    /* Slider */
    /*************************************************/
    $('.clients').owlCarousel({
        rtl: true,
        loop: true,
        margin: 30,
        nav: false,
        autoplay: true,
        autoplayTimeout: 2000,
        autoplaySpeed: 1000,
        autoplayHoverPause: true,
        responsiveClass: true,
        responsive: {
            0: {
                items: 2
            },
            600: {
                items: 4
            },

            900: {
                items: 5
            },
            1000: {
                items: 6
            }
        }
    });

    $('.products-home-slider').owlCarousel({
        rtl: true,
        loop: true,
        margin: 30,
        nav: false,
        autoplay: true,
        autoplayTimeout: 2000,
        autoplaySpeed: 1000,
        autoplayHoverPause: true,
        responsiveClass: true,
        responsive: {
            0: {
                items: 2,
                nav: false
            },
            600: {
                items: 4,
                nav: false
            },

            900: {
                items: 4,
                nav: true
            },
            1000: {
                items: 6,
                nav: true,
                loop: true
            }
        }
    });


    // Show or hide the sticky footer button
    $(window).scroll(function () {
        if ($(this).scrollTop() > 200) {
            $('.go-top').fadeIn(200);
        } else {
            $('.go-top').fadeOut(200);
        }
    });

    // Animate the scroll to top
    $('.go-top').click(function (event) {
        event.preventDefault();

        $('html, body').animate({scrollTop: 0}, 300);
    });


// Nice Scroll
    $("html").niceScroll({
        scrollspeed: 90,
        mousescrollstep: 40
    });


})(jQuery);
