<!DOCTYPE html>

<!--[if IE 8]>

<html <?php language_attributes(); ?> class="ie8"> <![endif]-->

<!--[if !IE]><!-->

<html <?php language_attributes(); ?>> <!--<![endif]-->


<head>

    <meta charset="<?php bloginfo( 'charset' ); ?>">

    <title><?php wp_title( '|', true, 'right' ); ?><?php bloginfo( 'name' ); ?></title>

    <!--    <meta name="description" content="--><?php //bloginfo( 'description' ); ?><!--">-->


    <!-- Mobile Specific Meta -->

    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">


    <!--[if lt IE 9]>

    <script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>

    <![endif]-->


	<?php wp_head(); ?>


</head>


<body <?php body_class(); ?>>

<header <?php if ( ! is_home() ) : ?> class="custom-header"<?php endif; ?>>
    <div class="top-nav">
        <div class="container">
            <div class="row">

                <div class="col-md-6 col-sm-6">
                    <div class="menu-toggle">
                        <button type="button" class="hamburger is-closed" data-toggle="offcanvas">
                            <span class="hamb-top"></span>
                            <span class="hamb-middle"></span>
                            <span class="hamb-bottom"></span>
                        </button>
                    </div>
                    <div class="logo">
						<?php if ( get_field( 'logo', 'options' ) ) : ?>
                            <a href="<?php echo home_url(); ?>">
                                <img src="<?php the_field( 'logo', 'options' ); ?>" alt="<?php bloginfo( 'name' ); ?>"
                                     class="img-responsive">
                            </a>
						<?php endif; ?>
                    </div>
                </div>

                <div class="col-md-6 col-sm-6">
                    <ul class="social list-inline pull-left">
                        <li><a href=""><i class="fa fa-facebook"></i></a></li>
                        <li><a href=""><i class="fa fa-twitter"></i></a></li>
                        <li><a href=""><i class="fa fa-youtube"></i></a></li>
                        <li><a href=""><i class="fa fa-instagram"></i></a></li>

                    </ul>
                    <ul class="left-nav list-inline pull-left">
                        <li><i class="fa fa-shopping-cart"></i>
                            <a class="cart-customlocation" href="<?php echo wc_get_cart_url(); ?>"
                               title="<?php _e( 'شاهد عربة التسوق' ); ?>"><?php echo sprintf( _n( '%d منتج', '%d منتجات', WC()->cart->get_cart_contents_count() ), WC()->cart->get_cart_contents_count() ); ?>
<!--                                - --><?php //echo WC()->cart->get_cart_total(); ?><!--</a>-->
                        </li>
						<?php if ( is_user_logged_in() ) :
							global $current_user;
							if ( isset( $current_user ) ) : ?>
                                <li class="dropdown">
                                    <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button"
                                       aria-haspopup="true"
                                       aria-expanded="false">مرحبا,<?php echo $current_user->user_login; ?> <span
                                                class="caret"></span></a>
                                    <ul class="dropdown-menu">
                                        <li><a href="<?php echo wp_logout_url( home_url() ); ?>">تسجيل خروج</a>
                                        </li>
                                        <li><a href="<?php echo home_url(); ?>/my-account">حسابي </a>
                                        </li>

                                    </ul>
                                </li>

							<?php endif; ?>
						<?php else: ?>
                            <li><a href="<?php echo home_url(); ?>/my-account"><i class="fa fa-user"></i> دخول  </a>
                            </li>

						<?php endif; ?>

                    </ul>

                </div>

            </div>
        </div>
    </div>


</header>
<div id="wrapper">
    <div class="overlay" data-toggle="offcanvas"></div>

    <nav class="navbar navbar-default" id="sidebar-wrapper" role="navigation">
        <button type="button" class="second-close is-closed" data-toggle="offcanvas">&times;</button>
        <!-- Collect the nav links, forms, and other content for toggling -->
		<?php

		wp_nav_menu( array(

				'menu' => 'main',

				'theme_location' => 'main',

				'depth' => 4,


				'menu_class' => 'nav sidebar-nav',

				'fallback_cb' => 'wp_bootstrap_navwalker::fallback',

				'walker' => new wp_bootstrap_navwalker()

			)

		);

		?>
    </nav>

</div>



